Name:           perl-Perl-Metrics-Simple
Version:        0.17
Release:        2%{?dist}
Summary:        Count packages, subs, lines, etc. of many files
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl-Metrics-Simple/
Source0:        http://www.cpan.org/authors/id/M/MA/MATISSE/Perl-Metrics-Simple-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find) >= 1.01
BuildRequires:  perl(IO::File) >= 1.14
BuildRequires:  perl(PPI) >= 1.113
BuildRequires:  perl(PPI::Document)
BuildRequires:  perl(Readonly) >= 1.03
BuildRequires:  perl(Readonly::XS) >= 1.02
BuildRequires:  perl(Statistics::Basic::Mean)
BuildRequires:  perl(Statistics::Basic::Median)
BuildRequires:  perl(Statistics::Basic::StdDev)
# Tests:
BuildRequires:  perl(File::Spec)
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:   perl(File::Find) >= 1.01
Requires:   perl(IO::File) >= 1.14
Requires:   perl(PPI) >= 1.113
Requires:   perl(Readonly) >= 1.03
Requires:   perl(Readonly::XS) >= 1.02

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(File::Find\\)$
%global __requires_exclude %__requires_exclude|perl\\(IO::File\\)$
%global __requires_exclude %__requires_exclude|perl\\(PPI\\)$
%global __requires_exclude %__requires_exclude|perl\\(Readonly\\)$

%description
Perl::Metrics::Simple provides just enough methods to run static analysis
of one or many Perl files and obtain a few metrics: packages, subroutines,
lines of code, and an approximation of cyclomatic (McCabe) complexity for
the subroutines and the "main" portion of the code.

%prep
%setup -q -n Perl-Metrics-Simple-%{version}
sed -i '1 s|^#!.*|#!%{__perl}|' bin/countperl

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes EXAMPLES LICENSE README Todo
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 16 2012 Petr Pisar <ppisar@redhat.com> - 0.17-1
- 0.17 bump

* Mon Oct 29 2012 Petr Pisar <ppisar@redhat.com> - 0.16-1
- 0.16 bump

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 0.15-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.15-4
- add RPM4.9 macro filter

* Wed Jun 29 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.15-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Petr Pisar <ppisar@redhat.com> 0.15-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot stuff
- Tune dependencies
